<html>
<head>
<title>Ogre::VertexCacheProfiler Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexCacheProfiler.html">VertexCacheProfiler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VertexCacheProfiler Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VertexCacheProfiler" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Vertex cache profiler.  
 <a href="classOgre_1_1VertexCacheProfiler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::VertexCacheProfiler:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1VertexCacheProfiler__inherit__graph.gif" border="0" usemap="#Ogre_1_1VertexCacheProfiler_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1VertexCacheProfiler_inherit__map" id="Ogre_1_1VertexCacheProfiler_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="49,5,135,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1VertexCacheProfiler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> { <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a>, 
<a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ad0fb7b7d84385dee76ad77538bb50acc">LRU</a>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a967ec965713da4ce36c461e847f964f9">VertexCacheProfiler</a> (unsigned int cachesize=16, <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> cachetype=<a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a6ab7499e2083ad5f35f34a816806cef8">~VertexCacheProfiler</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7f82fe442519758e19ff36f211757a72">profile</a> (const <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> &amp;indexBuffer)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a73303582f428106fc0b3177d11984228">reset</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#aa8578416f0d313a75d39a30c5d47123a">flush</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a9f0a043c69c3b8f472cdff618bccc624">getHits</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b6ea00ce8ef7a1d1d8676b98cd2c128">getMisses</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#ab89c85abff1af843322f4210afd25a16">getSize</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b855ce6273c82f3790bdcda2ac9ea4f">inCache</a> (unsigned int index)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#adc56faf57c63b1d1df6bb2f09892b3b5">size</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#ad72231fffc5f97675058ebe22bdbba27">cache</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#afb8e69a97d30c33f8ba37abe54522110">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a35553327f48981689555cc00eb97d339">tail</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7c5a21c77c8c968f263900909417ea28">buffersize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#aeeb3c8f51e564ad830af050cfe754213">hit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a409b41e6232966ea68bdf0c7273eefb0">miss</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Vertex cache profiler. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer. </dd></dl>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00284">284</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::CacheType" ref="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">Ogre::VertexCacheProfiler::CacheType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7"></a><!-- doxytag: member="FIFO" ref="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7" args="" -->FIFO</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ad0fb7b7d84385dee76ad77538bb50acc"></a><!-- doxytag: member="LRU" ref="a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ad0fb7b7d84385dee76ad77538bb50acc" args="" -->LRU</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00287">287</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a967ec965713da4ce36c461e847f964f9"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::VertexCacheProfiler" ref="a967ec965713da4ce36c461e847f964f9" args="(unsigned int cachesize=16, CacheType cachetype=FIFO)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a967ec965713da4ce36c461e847f964f9">Ogre::VertexCacheProfiler::VertexCacheProfiler</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>cachesize</em> = <code>16</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a>&#160;</td>
          <td class="paramname"><em>cachetype</em> = <code><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00291">291</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

<p>References <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00163">Ogre::MEMCATEGORY_GEOMETRY</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00426">OGRE_ALLOC_T</a>.</p>

</div>
</div>
<a class="anchor" id="a6ab7499e2083ad5f35f34a816806cef8"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::~VertexCacheProfiler" ref="a6ab7499e2083ad5f35f34a816806cef8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a6ab7499e2083ad5f35f34a816806cef8">Ogre::VertexCacheProfiler::~VertexCacheProfiler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00297">297</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

<p>References <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00163">Ogre::MEMCATEGORY_GEOMETRY</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00428">OGRE_FREE</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa8578416f0d313a75d39a30c5d47123a"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::flush" ref="aa8578416f0d313a75d39a30c5d47123a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexCacheProfiler.html#aa8578416f0d313a75d39a30c5d47123a">Ogre::VertexCacheProfiler::flush</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00304">304</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f0a043c69c3b8f472cdff618bccc624"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getHits" ref="a9f0a043c69c3b8f472cdff618bccc624" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a9f0a043c69c3b8f472cdff618bccc624">Ogre::VertexCacheProfiler::getHits</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00306">306</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b6ea00ce8ef7a1d1d8676b98cd2c128"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getMisses" ref="a4b6ea00ce8ef7a1d1d8676b98cd2c128" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b6ea00ce8ef7a1d1d8676b98cd2c128">Ogre::VertexCacheProfiler::getMisses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00307">307</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab89c85abff1af843322f4210afd25a16"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getSize" ref="ab89c85abff1af843322f4210afd25a16" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#ab89c85abff1af843322f4210afd25a16">Ogre::VertexCacheProfiler::getSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00308">308</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b855ce6273c82f3790bdcda2ac9ea4f"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::inCache" ref="a4b855ce6273c82f3790bdcda2ac9ea4f" args="(unsigned int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b855ce6273c82f3790bdcda2ac9ea4f">Ogre::VertexCacheProfiler::inCache</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f82fe442519758e19ff36f211757a72"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::profile" ref="a7f82fe442519758e19ff36f211757a72" args="(const HardwareIndexBufferSharedPtr &amp;indexBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7f82fe442519758e19ff36f211757a72">Ogre::VertexCacheProfiler::profile</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>indexBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a73303582f428106fc0b3177d11984228"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::reset" ref="a73303582f428106fc0b3177d11984228" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a73303582f428106fc0b3177d11984228">Ogre::VertexCacheProfiler::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00303">303</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7c5a21c77c8c968f263900909417ea28"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::buffersize" ref="a7c5a21c77c8c968f263900909417ea28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7c5a21c77c8c968f263900909417ea28">Ogre::VertexCacheProfiler::buffersize</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00314">314</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad72231fffc5f97675058ebe22bdbba27"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::cache" ref="ad72231fffc5f97675058ebe22bdbba27" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>* <a class="el" href="classOgre_1_1VertexCacheProfiler.html#ad72231fffc5f97675058ebe22bdbba27">Ogre::VertexCacheProfiler::cache</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00311">311</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeeb3c8f51e564ad830af050cfe754213"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::hit" ref="aeeb3c8f51e564ad830af050cfe754213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#aeeb3c8f51e564ad830af050cfe754213">Ogre::VertexCacheProfiler::hit</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00315">315</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="a409b41e6232966ea68bdf0c7273eefb0"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::miss" ref="a409b41e6232966ea68bdf0c7273eefb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a409b41e6232966ea68bdf0c7273eefb0">Ogre::VertexCacheProfiler::miss</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00315">315</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc56faf57c63b1d1df6bb2f09892b3b5"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::size" ref="adc56faf57c63b1d1df6bb2f09892b3b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#adc56faf57c63b1d1df6bb2f09892b3b5">Ogre::VertexCacheProfiler::size</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00310">310</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="a35553327f48981689555cc00eb97d339"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::tail" ref="a35553327f48981689555cc00eb97d339" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#a35553327f48981689555cc00eb97d339">Ogre::VertexCacheProfiler::tail</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00314">314</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb8e69a97d30c33f8ba37abe54522110"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::type" ref="afb8e69a97d30c33f8ba37abe54522110" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> <a class="el" href="classOgre_1_1VertexCacheProfiler.html#afb8e69a97d30c33f8ba37abe54522110">Ogre::VertexCacheProfiler::type</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h_source.html#l00312">312</a> of file <a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
